%global srcname SharePlum

Name:           python-%{srcname}
Version:        0.5.1
Release:        1%{?dist}
Summary:        SharePlum is an easier way to work with SharePoint services. It handles all of the messy parts of dealing with SharePoint and allows you to write clean and Pythonic code.

License:        MIT License
URL:            https://pypi.org/project/SharePlum/
Source:         https://github.com/jasonrollins/shareplum/archive/refs/tags/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{summary}

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-requests-toolbelt
Requires:       python%{python3_pkgversion}-requests_ntlm
Requires:       python%{python3_pkgversion}-ntlm-auth >= 1.0.2
Requires:       python%{python3_pkgversion}-chardet < 4
Requires:       python%{python3_pkgversion}-idna < 3
Requires:       python%{python3_pkgversion}-urllib3 >= 1.21.1
Requires:       python%{python3_pkgversion}-cryptography >= 1.3
Requires:       python%{python3_pkgversion}-lxml
Obsoletes:      python%{python3_pkgversion}-%{srcname} < %{version}
Provides:       python%{python3_pkgversion}-%{srcname} = %{version}-%{release}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{summary}


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/shareplum/

%changelog
* Mon Nov 15 2021 Lei Wang <lei.wang@navcanada.ca> - 0.5.1-1
- Initial packaging


